
//========================================================

class Icon extends Div {

//========================================================
    //----------------------------------------------------
    onSetup(data){
    //----------------------------------------------------

        super.onSetup(data);

    }
    //----------------------------------------------------

    onDraw(div,selected){

    //----------------------------------------------------

        var elt= this.get_html("div",this.args,null,div,this.get_text(selected));
        return elt;

    }
    //----------------------------------------------------

    get_text(selected){
    //----------------------------------------------------
        return selected.text;
    }
    //----------------------------------------------------

}
//========================================================

